//MADE BY BEDIC_MAG (DISCORD) // PTG PREPBOX1 (MICROSOFT ACCOUNT)
//YOU MAY NOT REDISTRIBUTE THIS ADD-ON AND CLAIM IT AS YOUR OWN
import { world, system, ClientSystemInfo } from '@minecraft/server';

const DEVICE_ICONS = {
    Mobile: '',
    Console: '',
    Desktop: ''
};

function updatePlayerNameTag(player) {
    const icon = DEVICE_ICONS[player.clientSystemInfo.platformType];
    if (icon) {
        player.nameTag = `${icon} ${player.name}`;
    }
}

function sendDeviceMessage(player, message) {
    const icon = DEVICE_ICONS[player.clientSystemInfo.platformType];
    if (icon) {
        world.sendMessage(`${icon} <${player.name}> ${message}`);
    }
}

world.afterEvents.playerSpawn.subscribe((e) => {
    if (e.initialSpawn) {
        updatePlayerNameTag(e.player);
    }
});

world.beforeEvents.chatSend.subscribe((e) => {
    e.cancel = true;
    sendDeviceMessage(e.sender, e.message);
});

system.runInterval(() => {
    world.getAllPlayers().forEach(player => {
        const device = player.clientSystemInfo.platformType;
        const tagMap = { Mobile: 'mobile', Console: 'console', Desktop: 'pc' };
        if (tagMap[device]) player.addTag(tagMap[device]);
    });
}, 20);